#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-MRO-Compat
Version		:	0.13
Release		:	14.8.0.0%{?dist}
Summary		:	mro::* interface compatibility for Perls < 5.9.5

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Date::Manip

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch
#-----------------------------------------------------------------------------
BuildRequires	:	perl
#-----------------------------------------------------------------------------
%description
The "mro" namespace provides several utilities for dealing
with method resolution order and method caching in general
in Perl 5.9.5 and higher.

This module provides those interfaces for earlier versions
of Perl (back to 5.6.0 anyways).

It is a harmless no-op to use this module on 5.9.5+.
That is to say, code which properly uses MRO::Compat will work
unmodified on both older Perls and 5.9.5+.

If you're writing a piece of software that would like to use
the parts of 5.9.5+'s mro:: interfaces that are supported here,
and you want compatibility with older Perls, this is the module
for you.

Some parts of this code will work better and/or faster with
Class::C3::XS installed (which is an optional prereq of Class::C3,
which is in turn a prereq of this package), but it's not a requirement.

This module never exports any functions. All calls must be fully
qualified with the mro:: prefix.

The interface documentation here serves only as a quick reference
of what the function basically does, and what differences between
MRO::Compat and 5.9.5+ one should look out for. The main docs in
5.9.5's mro are the real interface docs, and contain a lot of other
useful information.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/perl5/core_perl/MRO/Compat.pm
%{_mandir}/man3/MRO::Compat.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

